<%
;; http://www.paulgraham.com/quotes.html

(let* ((quotes
  '("Programs must be written for people to read, and only incidentally for machines to execute."
    "That language is an instrument of human reason, and not merely a medium for the expression of thought, is a truth generally admitted."
    "the greatest single programming language ever designed"
    "One of the most important and fascinating of all computer languages is Lisp (standing for \"List Processing\"), which was invented by John McCarthy around the time Algol was invented."
    "Lisp is a programmable programming language."
    "One can even conjecture that Lisp owes its survival specifically to the fact that its programs are lists, which everyone, including me, has regarded as a disadvantage."
    "Lisp isn't a language, it's a building material."
    "Greenspun's Tenth Rule of Programming: any sufficiently complicated C or Fortran program contains an ad hoc informally-specified bug-ridden slow implementation of half of Common Lisp."
    "Including Common Lisp."
    "Lisp is worth learning for the profound enlightenment experience you will have when you finally get it; that experience will make you a better programmer for the rest of your days, even if you never actually use Lisp itself a lot."
    "Some may say Ruby is a bad rip-off of Lisp or Smalltalk, and I admit that. But it is nicer to ordinary people."
    "We were not out to win over the Lisp programmers; we were after the C++ programmers. We managed to drag a lot of them about halfway to Lisp."
    "Lisp has jokingly been called \"the most intelligent way to misuse a computer\". I think that description is a great compliment because it transmits the full flavor of liberation: it has assisted a number of our most gifted fellow humans in thinking previously impossible thoughts."
    "Lisp is a programmer amplifier."
    "Lisp ... made me aware that software could be close to executable mathematics."
    "I object to doing things that computers can do."
    "Common Lisp, a happy amalgam of the features of previous Lisps"
    "Imprisoned in every fat man a thin man is wildly signaling to be let out."
    "Common Lisp is politics, not art."
    "Lisp was far more powerful and flexible than any other language of its day; in fact, it is still a better design than most languages of today, twenty-five years later. Lisp freed ITS's hackers to think in unusual and creative ways. It was a major factor in their successes, and remains one of hackerdom's favorite languages."
    "Lisp doesn't look any deader than usual to me."
    "The only way to learn a new programming language is by writing programs in it."
    "If I had a nickel for every time I've written \"for (i = 0 ; i < N; i++)\" in C I'd be a millionaire."
    "SQL, Lisp, and Haskell are the only programming languages that I've seen where one spends more time thinking than typing."
    "Language designers are not intellectuals. They're not as interested in thinking as you might hope. They just want to get a language done and start using it."
    "A man, a plan, a canoe, pasta, heros, rajahs, a coloratura, maps, snipe, percale, macaroni, a gag, a banana bag, a tan, a tag, a banana bag again (or a camel), a crepe, pins, Spam, a rut, a Rolo, cash, a jar, sore hats, a peon, a canal-- Panama!"
    "The continuation that obeys only obvious stack semantics, O grasshopper, is not the true continuation."
    "I have heard more than one LISP advocate state such subjective comments as, \"LISP is the most powerful and elegant programming language in the world\" and expect such comments to be taken as objective truth. I have never heard a Java, C++, C, Perl, or Python advocate make the same claim about their own language of choice."
    "Although my own previous enthusiasm has been for syntactically rich languages, like the Algol family, I now see clearly and concretely the force of Minsky's 1970 Turing Lecture, in which he argued that Lisp's uniformity of structure and power of self reference gave the programmer capabilities whose content was well worth the sacrifice of visual form."
    "The key to performance is elegance, not battalions of special cases."
    "Don't worry about what anybody else is going to do. The best way to predict the future is to invent it."
    "I suppose I should learn Lisp, but it seems so foreign."
    ))
    (no-of-quotes (length quotes)))

%>

<html>
<head>
<link href="stylesheet.css" rel="stylesheet" type="text/css" />
</head>
<body>

<!--#include file="header.inc"-->

<h1><span class='lsp'>&lt;% ( Lisp Server Page ) %&gt;</span></h1>
<% (case (random 5) %>
<%
;; there's a slight chance that we went nuts
(0 %> <i><h3>I love programming in C++!!!</h3></i> <%)%> <!-- NOT -->
<% (t %> <h3> <%= (nth (random no-of-quotes) quotes) %> </h3>
<% )) %>

<!--#include file="footer.inc"-->

</body>
</html>

<% ) ;; let*
%>
